Summary: 	GPhoto2 GTK frontend
Name: 		gtkam
Version: 	0.1
Release: 	12mdk
License: 	GPL
Group: 		Graphics
Source0: 	gtkam-cvs20020306.tar.bz2
Source1: 	gphoto-icons.tar.bz2
Source2:	gtkam-es.po.bz2
URL: 		http://www.gphoto.org/
Requires: 	libusb0.1_4 >= 0.1.5, libgpio0, libgphoto2 >= 2.0-1mdk, gdk-pixbuf
Obsoletes: 	hackgphoto2-gtkam
Provides: 	hackgphoto2-gtkam
BuildRequires: 	libusb-devel libgpio-devel libgphoto-devel gphoto2 gettext-devel gdk-pixbuf-devel libgimp-devel
Prefix: 	%{_prefix}
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
GTKam is now a part of the Gnome project, and is a fine interface for a
wide variety of digital cameras.

%package gimp-plugin
Summary: 	GIMP-plug-in for digital camera access through GPhoto2
Requires: 	gtkam >= 0.1-12mdk gimp >= 1.2
Group: 		Graphics

%description gimp-plugin
GIMP-plug-in for direct digital camera access through GPhoto2.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gtkam
bzcat %{SOURCE2} > po/es.po

%build

# Correct documentation path
perl -p -i -e "s!doc/gtkam!share/doc/gtkam-%{version}!" configure.in
perl -p -i -e "s!doc/gtkam!share/doc/gtkam-%{version}!" Makefile.am
perl -p -i -e "s!doc/gphoto2!share/doc/gphoto2!" configure.in
perl -p -i -e "s!doc/gphoto2!share/doc/gphoto2!" Makefile.am

# Add the spanish language
perl -p -i -e "s!ALL_LINGUAS=\"da de fr!ALL_LINGUAS=\"da de es fr!" configure.in

CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
perl -p -i -e "s!usr/local!usr!" configure
rm -f config.cache
%configure

%make

%install

%makeinstall

# menu stuff
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > %buildroot/%_menudir/gtkam
?package(gtkam):command="/usr/bin/gtkam" \
title="GTKam (GPhoto 2)" \
longtitle="GNU Digital Camera Program, for newer cameras" \
needs="x11" \
section="Multimedia/Graphics" \
icon="graphics_section.png"
EOF
 
install -d $RPM_BUILD_ROOT%{_datadir}/icons
bzcat %{SOURCE1}|tar xf - -C $RPM_BUILD_ROOT%{_datadir}/icons 

# GIMP plug-in
install -d $RPM_BUILD_ROOT%{_libdir}/gimp/1.2/plug-ins
mv $RPM_BUILD_ROOT%{_libdir}/gtkam-gimp $RPM_BUILD_ROOT%{_libdir}/gimp/1.2/plug-ins

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README MANUAL
%_bindir/*
%_datadir/gtkam
%_datadir/images/gtkam
%_datadir/icons/*
%lang(da) %_datadir/locale/da/LC_MESSAGES/*
%lang(de) %_datadir/locale/de/LC_MESSAGES/*
%lang(es) %_datadir/locale/es/LC_MESSAGES/*
%lang(fr) %_datadir/locale/fr/LC_MESSAGES/*
#lang(hu) %_datadir/locale/hu/LC_MESSAGES/*
%lang(it) %_datadir/locale/it/LC_MESSAGES/*
%lang(ja) %_datadir/locale/ja/LC_MESSAGES/*
%lang(no) %_datadir/locale/no/LC_MESSAGES/*
%lang(pt_BR) %_datadir/locale/pt_BR/LC_MESSAGES/*
%lang(pt_PT) %_datadir/locale/pt_PT/LC_MESSAGES/*
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*
%lang(sl) %_datadir/locale/sl/LC_MESSAGES/*
%lang(sv) %_datadir/locale/sv/LC_MESSAGES/*
%lang(uk) %_datadir/locale/uk/LC_MESSAGES/*
%_menudir/*

%files gimp-plugin
%defattr(-,root,root,-)
%{_libdir}/gimp/1.2/plug-ins/*

%changelog
* Wed Mar  6 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-12mdk
- Updated to the CVS snapshot from 06/03/2002 (GTKam based on GPhoto2 2.0
  final).

* Sun Mar  3 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-11mdk
- GTKam habla Espaol! Fabian Mandelbaum (fabman@mandrakesoft.com) has
  translated GTKam to spanish. Added the translation to the package.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-10mdk
- Rebuilt for libusb 0.1.4.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-9mdk
- Add %%defattr(-,root,root,-) for gtkam-gimp-plugin

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-8mdk
- Fix menu entry

* Tue Dec  4 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-7mdk
- Updated to the CVS snapshot from 04/12/2001.

* Sat Dec  1 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-6mdk
- Updated to the CVS of 01/12/2001.

* Fri Nov 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-5mdk
- Updated to the CVS of 30/11/2001.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: gettext-devel

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-3mdk
- fixed BuildRequires
- Copyright --> License

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-2mdk
- Corrected the doc directory path again

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-1mdk
- Moved to main
- Corrected the doc directory
- Added a menu entry
- Updated from CVS

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20001116mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
   - v0.1-0.20001116mdk (initial packaging from CVS) 
